WinSCP < 5.1.6 RSA Signature Blob Integer Overflow

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote Windows host has an application installed that is affected
by an integer overflow.

Description :

The WinSCP program installed on the remote host is a version prior to
5.1.6. It therefore contains code from PuTTY that is affected by an
integer overflow related to handling RSA signature data. This error
allows a remote attacker to crash the application.

See also :

http://winscp.net/tracker/show_bug.cgi?id=1017
http://winscp.net/eng/docs/history#5.1.6
http://www.nessus.org/u?4834e145

Solution :

Upgrade to WinSCP version 5.1.6 / 5.2.2 beta or later.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 3.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 72388 ()

Bugtraq ID: 61599

CVE ID: CVE-2013-4852